### Class

# Snapd Interface

since: 1.48

#### Description [src]

    final class Snapd.Interface : GObject.Object
    {
      /* No available fields */
    }

`SnapdInterface` contains information about a Snap interface.

Available since: 1.48

#### Ancestors

- GObject

#### Instance methods

###### snapd_interface_get_doc_url

Get the documentation URL of this interface.

since: 1.48

###### snapd_interface_get_name

Get the name of this interface.

since: 1.48

###### snapd_interface_get_plugs

Get the plugs matching this interface type.

since: 1.48

###### snapd_interface_get_slots

Get the slots matching this interface type.

since: 1.48

###### snapd_interface_get_summary

Get the summary of this interface.

since: 1.48

###### snapd_interface_make_label

Make a label for this interface suitable for a user interface.

since: 1.57

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Interface:doc-url

No description available.

###### Snapd.Interface:name

No description available.

###### Snapd.Interface:plugs

No description available.

###### Snapd.Interface:slots

No description available.

###### Snapd.Interface:summary

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdInterfaceClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.